function getImage()
{
  tfSXTxt = document.getElementById('tfSX').value;
  tfSYTxt = document.getElementById('tfSY').value;
  if(tfSXTxt == ""){
    alert("Proszę podać skalę X.");
    return;
  }
  if(tfSYTxt == ""){
    alert("Proszę podać skalę Y.");
    return;
  }

  url = "http://localhost/dane.php?sx=" + tfSXTxt;
  url += "&sy=" + tfSYTxt;
  url = encodeURI(url);

  var btnWykonaj = document.getElementById('btnWykonaj');
  btnWykonaj.disabled = true;
  startGETRequest(url, onComplete, onEnd);
}


function onComplete(text, xml)
{
  if(text.substr(0, 5) == 'error'){
    arr = text.split("\n");
    if(arr.length == 2){
      if(arr[0] == 'error')
        alert(arr[1]);
      else
        alert("Nieprawidłowa odpowiedź serwera.");
    }
  }
  else{
    var img1 = document.getElementById('img1');
    url = "image.php?name=" + text;
    url = encodeURI(url);
    img1.src = url;
  }
}

function onEnd()
{
  var btnWykonaj = document.getElementById('btnWykonaj');
  btnWykonaj.disabled = false;
}